com.io7m.jpra.model.names

## Class PackageNameQualified

- java.lang.Object
- - com.io7m.jpra.model.names.PackageNameQualified

- All Implemented Interfaces:
    ModelElementType

      @Immutable
      public final class PackageNameQualified
      extends Object
      implements ModelElementType

  A fully qualified package name.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PackageNameQualified(com.gs.collections.api.list.ImmutableList<PackageNameUnqualified> in_value)` Construct a name.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Optional<com.io7m.jlexing.core.ImmutableLexicalPositionType<Path>>` | `getLexicalInformation()` Fetch the lexical information for the element.
    `com.gs.collections.api.list.ImmutableList<PackageNameUnqualified>` | `getValue()`
    `int` | `hashCode()`
    `static PackageNameQualified` | `of(PackageNameUnqualified... p)` Construct a name from the given segments.
    `String` | `toString()`
    `static PackageNameQualified` | `valueOf(String text)` Parse a string, yielding a qualified package name.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PackageNameQualified

          public PackageNameQualified(com.gs.collections.api.list.ImmutableList<PackageNameUnqualified> in_value)

      Construct a name.
      Parameters:
        `in_value` - The list of segments making up the full name

  - ### Method Detail

    - #### of

          public static PackageNameQualified of(PackageNameUnqualified... p)

      Construct a name from the given segments.
      Parameters:
        `p` - The segments
      Returns:
        A new name

    - #### valueOf

          public static PackageNameQualified valueOf(String text)

      Parse a string, yielding a qualified package name.
      Parameters:
        `text` - The raw text
      Returns:
        A package name

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getValue

          public com.gs.collections.api.list.ImmutableList<PackageNameUnqualified> getValue()

      Returns:
        The raw name segments

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getLexicalInformation

          public Optional<com.io7m.jlexing.core.ImmutableLexicalPositionType<Path>> getLexicalInformation()

      Description copied from interface: `ModelElementType`
      Fetch the lexical information for the element. This is used to localize error messages to a position in a file when referring to specific elements.
      Specified by:
        `getLexicalInformation` in interface `ModelElementType`
      Returns:
        The original lexical information, if any

Copyright © 2015 <code@io7m.com> http://io7m.com